# Enum Class DisplayType

java.lang.Object
java.lang.Enum<DisplayType>
com.independentsoft.pst.DisplayType

All Implemented Interfaces:
  `Serializable`, `Comparable<DisplayType>`, `Constable`

public enum DisplayType extends Enum<DisplayType>
Specifies the display type of an address book entry (the value of PR_DISPLAY_TYPE).

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AGENT`
  An automated agent, such as Quote-Of-The-Day.
  `DISTRIBUTION_LIST`
  A distribution list.
  `FOLDER`
  A folder.
  `FOLDER_LINK`
  A link to a folder.
  `FOLDER_SPECIAL`
  A special folder.
  `FORUM`
  A forum, such as a bulletin board or a public folder.
  `GLOBAL_ADDRESS_BOOK`
  A global address book.
  `LOCAL_ADDRESS_BOOK`
  A local (personal) address book.
  `MAIL_USER`
  A messaging user (a person).
  `MODIFIABLE`
  An address book that can be modified.
  `NONE`
  The display type is not specified.
  `NOT_SPECIFIC`
  The display type is not specific.
  `ORGANIZATION`
  An organization, such as a help desk.
  `PRIVATE_DISTRIBUTION_LIST`
  A private distribution list.
  `REMOTE_MAIL_USER`
  A messaging user whose primary address is in a remote messaging system.
  `WIDE_AREA_NETWORK_ADDRESS_BOOK`
  A wide area network address book.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DisplayType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DisplayType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AGENT

    public static final DisplayType AGENT
    An automated agent, such as Quote-Of-The-Day.

  - ### DISTRIBUTION_LIST

    public static final DisplayType DISTRIBUTION_LIST
    A distribution list.

  - ### FOLDER

    public static final DisplayType FOLDER
    A folder.

  - ### FOLDER_LINK

    public static final DisplayType FOLDER_LINK
    A link to a folder.

  - ### FOLDER_SPECIAL

    public static final DisplayType FOLDER_SPECIAL
    A special folder.

  - ### FORUM

    public static final DisplayType FORUM
    A forum, such as a bulletin board or a public folder.

  - ### GLOBAL_ADDRESS_BOOK

    public static final DisplayType GLOBAL_ADDRESS_BOOK
    A global address book.

  - ### LOCAL_ADDRESS_BOOK

    public static final DisplayType LOCAL_ADDRESS_BOOK
    A local (personal) address book.

  - ### MAIL_USER

    public static final DisplayType MAIL_USER
    A messaging user (a person).

  - ### MODIFIABLE

    public static final DisplayType MODIFIABLE
    An address book that can be modified.

  - ### ORGANIZATION

    public static final DisplayType ORGANIZATION
    An organization, such as a help desk.

  - ### PRIVATE_DISTRIBUTION_LIST

    public static final DisplayType PRIVATE_DISTRIBUTION_LIST
    A private distribution list.

  - ### REMOTE_MAIL_USER

    public static final DisplayType REMOTE_MAIL_USER
    A messaging user whose primary address is in a remote messaging system.

  - ### WIDE_AREA_NETWORK_ADDRESS_BOOK

    public static final DisplayType WIDE_AREA_NETWORK_ADDRESS_BOOK
    A wide area network address book.

  - ### NOT_SPECIFIC

    public static final DisplayType NOT_SPECIFIC
    The display type is not specific.

  - ### NONE

    public static final DisplayType NONE
    The display type is not specified.

- ## Method Details

  - ### values

    public static DisplayType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DisplayType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null